#include <htc.h>

// Initialize user ID locations
__IDLOC(1313);

/* Program device configuration word
 * Watchdog Timer = Off
 * Master Clear Enable = Functions as GP3
 * Code Protect = On
 */
__CONFIG(WDTDIS & MCLRDIS & PROTECT);

// Peripheral initialization function
void init(void){
	/***** Common Code ****
	 *  Comparator wake up on change disabled
	 *  Comparator positive reference is CIN+
	 *  Comparator negative reference is CIN-
	 *  Comparator module disabled
	 *  Timer is not clocked by comparator
	 *  Comparator output not on COUT
	 */
	CMCON	= 0b01100111;
	
	/***** General purpose IO Code ****
	 *  Port directions: 1=input, 0=output
	 */
	TRISGPIO	= 0b00001100;
	
	/***** Timer 0 Code ****
	 *  Timer 0 is prescaled by 1:4
	 *  Timer 0 is clocked internally.
	 */
	OPTION	= 0b00000001;
	
}
